Bug 9545 - Fix Import Marc Bibliographic Framework Text Label
Summary: Fix Import Marc Bibliographic Framework Text Label
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 01:09 UTC by David Cook
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9545 - Fix import MARC bibliographic framework text label (18.28 KB, patch)
2013-02-11 14:12 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9545 - Fix import MARC bibliographic framework text label (18.45 KB, patch)
2013-02-13 06:39 UTC, David Cook
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9545 - Fix import MARC bibliographic framework text label (18.45 KB, patch)
2013-02-13 06:41 UTC, David Cook
Details | Diff | Splinter Review
Bug 9545 - Fix import MARC bibliographic framework text label (18.49 KB, patch)
2013-02-14 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9545 - Followup Fix import MARC bibliographic framework text label (1.58 KB, patch)
2013-02-14 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-02-05 01:09:40 UTC
Currently, when you click on "Import" next to a MARC Bibliographic Framework, you are prompted for a "Spreadsheet file", even though you can supply SQL files as well as CSV/XLS/(perhaps also the Open Document Format for spreadsheets).
Comment 1 Owen Leonard 2013-02-11 14:12:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-02-11 14:16:12 UTC
Add this to the list of operations that would be better handled by a modal dialog--perhaps via jQueryUI or Bootstrap if we find we can replace Greybox with one of them.
Comment 3 David Cook 2013-02-13 06:39:40 UTC Comment hidden (obsolete)
Comment 4 David Cook 2013-02-13 06:41:28 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-02-14 14:27:25 UTC
QA comment:

Works great.
The export action for the default framework don't work. I will provide a followup.

Owen, yesterday for dialogs I found Bootbox.js (http://bootboxjs.com). Perhaps it could be useful for us.

Marked as Passed QA.

TODO: some code could be factorize (default framework and others).
Comment 6 Jonathan Druart 2013-02-14 14:27:53 UTC
Created attachment 15321 [details] [review]
Bug 9545 - Fix import MARC bibliographic framework text label

This patch improves the labeling of import controls on the
MARC frameworks page by making import options more explicit. Other
changes:

- Form markup fixed to match standard form constructions
- JavaScript corrected to make more embedded English strings
  translatable.
- Form labels made clickable by making "for" attributes match unique
  form field ids.
- Some warning re-worded for readability and translatability.
- Large "loading" icon replaced with more proportional smaller one.

To test, view the MARC frameworks page (admin/biblio_framework.pl) and
test Export and Import functionality. Clicking each should display a
form with options clearly labeled. Import and Export operations should
complete correctly.

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described, although I see what Owen means about it being a good candidate for replacement with a modal dialog box in the future.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2013-02-14 14:27:58 UTC
Created attachment 15322 [details] [review]
Bug 9545 - Followup Fix import MARC bibliographic framework text label

The export action for the default framework did not work.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jonathan Druart 2013-02-14 14:28:56 UTC
Last patch just replaces
  input type="button"
with
  input type="submit"
Comment 9 Jared Camins-Esakov 2013-02-15 13:28:55 UTC
This patch has been pushed to master.
Comment 10 Chris Cormack 2013-02-26 08:27:52 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.11 and 3.10.4